For the complete documentation index, see llms.txt. This page is also available as Markdown.

Energiezertifikate

Hinweise zur Funktion

Das Energiezertifikat wird über den Endpunkt der Nutzungseinheit zugeordnet.

Im Endpunkt für die Nutzungseinheit finden Sie den Schlüssel "EnergyCertificateId". Dieser verweist auf die ID des dazugehörigen Energiezertifikats aus diesem Endpunkt.

Energiezertifikate sind derzeit der einzige Informationsträger über den Hauptenergieträger und die Heizungsart.

Energiezertifikate abrufen

Version 1.0


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

Idinteger · int32Optional
EnergyStandardIdinteger · int32 · nullableOptional
EnergyStandardstring · nullableOptional
EnergyCertificateStandardIdinteger · int32Optional
EnergyCertificateStandardstring · nullableOptional
IsEnergyCertificateBeforeLawboolean · nullableOptional
IsResidentialBuildingboolean · nullableOptional
EnergyConsumptionHeatnumber · decimal · nullableOptional
EnergyConsumptionElectricitynumber · decimal · nullableOptional
EnergyDemandHeatnumber · decimal · nullableOptional
EnergyDemandElectricitynumber · decimal · nullableOptional
TotalEnergyConsumptionnumber · decimal · nullableOptional
TotalEnergyDemandnumber · decimal · nullableOptional
HeatingEnergyConsumptionValuenumber · decimal · nullableOptional
ElectricityEnergyConsumptionValuenumber · decimal · nullableOptional
TotalEnergyConsumptionValuenumber · decimal · nullableOptional
IsHotWaterIncludingboolean · nullableOptional
CreationDatestring · date-time · nullableOptional
ValidTostring · date-time · nullableOptional
ConstructionYearstring · nullableOptional
Referencesstring · nullableOptional
ReasonForExceptionIdinteger · int32 · nullableOptional
ReasonForExceptionstring · nullableOptional
get/openwowi/v1.0/CommercialInventory/EnergyCertificates
GET /openwowi/v1.0/CommercialInventory/EnergyCertificates HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "EnergyStandardId": 1,
    "EnergyStandard": "text",
    "EnergyCertificateStandardId": 1,
    "EnergyCertificateStandard": "text",
    "IsEnergyCertificateBeforeLaw": true,
    "IsResidentialBuilding": true,
    "EnergyConsumptionHeat": 1,
    "EnergyConsumptionElectricity": 1,
    "EnergyDemandHeat": 1,
    "EnergyDemandElectricity": 1,
    "TotalEnergyConsumption": 1,
    "TotalEnergyDemand": 1,
    "HeatingEnergyConsumptionValue": 1,
    "ElectricityEnergyConsumptionValue": 1,
    "TotalEnergyConsumptionValue": 1,
    "IsHotWaterIncluding": true,
    "CreationDate": "2026-01-01T00:00:00.000Z",
    "ValidTo": "2026-01-01T00:00:00.000Z",
    "ConstructionYear": "text",
    "References": "text",
    "ReasonForExceptionId": 1,
    "ReasonForException": "text",
    "EnergySources": [
      {
        "Id": 1,
        "Name": "text",
        "Classification": "text"
      }
    ],
    "HeatingTypes": [
      {
        "Id": 1,
        "Name": "text",
        "Classification": "text"
      }
    ]
  }
]

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
managementIdinteger · int32Optional
managementIdNumstringOptional
economicUnitIdinteger · int32Optional
economicUnitIdNumstringOptional
buildingIdinteger · int32Optional
buildingIdNumstringOptional
useUnitIdinteger · int32Optional
useUnitNumberstringOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IsHotWaterIncludingboolean · nullableOptional
ConstructionYearstring · nullableOptional
CreationDatestring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Referencesstring · nullableOptional
IsEnergyCertificateBeforeLawboolean · nullableOptional
IsResidentialBuildingboolean · nullableOptional
EnergyConsumptionHeatnumber · decimal · nullableOptional
EnergyConsumptionElectricitynumber · decimal · nullableOptional
EnergyDemandHeatnumber · decimal · nullableOptional
EnergyDemandElectricitynumber · decimal · nullableOptional
TotalEnergyConsumptionnumber · decimal · nullableOptional
TotalEnergyDemandnumber · decimal · nullableOptional
HeatingEnergyConsumptionValuenumber · decimal · nullableOptional
ElectricityEnergyConsumptionValuenumber · decimal · nullableOptional
TotalEnergyConsumptionValuenumber · decimal · nullableOptional
HeatGeneratorManufacturingYearstring · nullableOptional
get/openwowi/v1.2/CommercialInventory/EnergyCertificates
GET /openwowi/v1.2/CommercialInventory/EnergyCertificates HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IsHotWaterIncluding": true,
    "ConstructionYear": "text",
    "CreationDate": "2026-08-18",
    "ValidTo": "2026-08-18",
    "References": "text",
    "IsEnergyCertificateBeforeLaw": true,
    "IsResidentialBuilding": true,
    "EnergyConsumptionHeat": 1,
    "EnergyConsumptionElectricity": 1,
    "EnergyDemandHeat": 1,
    "EnergyDemandElectricity": 1,
    "TotalEnergyConsumption": 1,
    "TotalEnergyDemand": 1,
    "HeatingEnergyConsumptionValue": 1,
    "ElectricityEnergyConsumptionValue": 1,
    "TotalEnergyConsumptionValue": 1,
    "EnergyStandard": {
      "Id": 1,
      "Name": "text",
      "Classification": "text"
    },
    "CertificateStandard": {
      "Id": 1,
      "Name": "text"
    },
    "ReasonForException": {
      "Id": 1,
      "Name": "text"
    },
    "UseUnit": {
      "Id": 1,
      "UseUnitNumber": "text",
      "BuildingLandId": 1,
      "EconomicUnitId": 1,
      "EconomicUnit": "text"
    },
    "Building": {
      "Id": 1,
      "IdNum": "text",
      "EconomicUnitId": 1,
      "EconomicUnit": "text"
    },
    "HeatGeneratorManufacturingYear": "text",
    "EnergySources": [
      {
        "Id": 1,
        "Name": "text",
        "Classification": "text"
      }
    ],
    "HeatingTypes": [
      {
        "Id": 1,
        "Name": "text",
        "Classification": "text"
      }
    ]
  }
]

Zuletzt aktualisiert